"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.Units = exports.Type = exports.TimeUnit = exports.Target = exports.Status = exports.SkipReason = exports.ScheduleStatus = exports.RuntimeStatus = exports.Origin = exports.Operator = exports.Language = exports.IdentifierType = exports.ErrorReason = exports.Domain = exports.CodeSnippetLanguage = exports.CancellationReason = exports.BlockType = exports.AutomationConfigurationStatus = exports.ActivationStatusChangedStatus = exports.ActivationActionStatusChangedStatus = exports.cancelEvent = exports.bulkCancelEvent = exports.bulkReportEvent = exports.reportEvent = exports.__metadata = void 0;
const automations_v2_activation_activations_universal_js_1 = require("./automations-v2-activation-activations.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/automations' };
function reportEvent(httpClient) {
    return (triggerKey, options) => (0, automations_v2_activation_activations_universal_js_1.reportEvent)(triggerKey, options, 
    // @ts-ignore
    { httpClient });
}
exports.reportEvent = reportEvent;
function bulkReportEvent(httpClient) {
    return (triggerKey, eventsInfo) => (0, automations_v2_activation_activations_universal_js_1.bulkReportEvent)(triggerKey, eventsInfo, 
    // @ts-ignore
    { httpClient });
}
exports.bulkReportEvent = bulkReportEvent;
function bulkCancelEvent(httpClient) {
    return (triggerKey, externalEntityIds) => (0, automations_v2_activation_activations_universal_js_1.bulkCancelEvent)(triggerKey, externalEntityIds, 
    // @ts-ignore
    { httpClient });
}
exports.bulkCancelEvent = bulkCancelEvent;
function cancelEvent(httpClient) {
    return (triggerKey, externalEntityId) => (0, automations_v2_activation_activations_universal_js_1.cancelEvent)(triggerKey, externalEntityId, 
    // @ts-ignore
    { httpClient });
}
exports.cancelEvent = cancelEvent;
var automations_v2_activation_activations_universal_js_2 = require("./automations-v2-activation-activations.universal.js");
Object.defineProperty(exports, "ActivationActionStatusChangedStatus", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.ActivationActionStatusChangedStatus; } });
Object.defineProperty(exports, "ActivationStatusChangedStatus", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.ActivationStatusChangedStatus; } });
Object.defineProperty(exports, "AutomationConfigurationStatus", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.AutomationConfigurationStatus; } });
Object.defineProperty(exports, "BlockType", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.BlockType; } });
Object.defineProperty(exports, "CancellationReason", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.CancellationReason; } });
Object.defineProperty(exports, "CodeSnippetLanguage", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.CodeSnippetLanguage; } });
Object.defineProperty(exports, "Domain", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Domain; } });
Object.defineProperty(exports, "ErrorReason", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.ErrorReason; } });
Object.defineProperty(exports, "IdentifierType", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.IdentifierType; } });
Object.defineProperty(exports, "Language", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Language; } });
Object.defineProperty(exports, "Operator", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Operator; } });
Object.defineProperty(exports, "Origin", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Origin; } });
Object.defineProperty(exports, "RuntimeStatus", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.RuntimeStatus; } });
Object.defineProperty(exports, "ScheduleStatus", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.ScheduleStatus; } });
Object.defineProperty(exports, "SkipReason", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.SkipReason; } });
Object.defineProperty(exports, "Status", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Status; } });
Object.defineProperty(exports, "Target", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Target; } });
Object.defineProperty(exports, "TimeUnit", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.TimeUnit; } });
Object.defineProperty(exports, "Type", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Type; } });
Object.defineProperty(exports, "Units", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.Units; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return automations_v2_activation_activations_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=automations-v2-activation-activations.public.js.map